import request from '@/utils/request'

/**
 * 获取商品分类列表
 * @param {Object} data
 * @param {Number} data.page
 * @param {Number} data.pageSize
 * @param {Number} data.pid
 */
export function getCategoryList(data) {
	return request({
		url: '/api/product/categoryList',
		method: 'get',
		data
	});
}

/**
 * 获取商品列表
 * @param {Object} data
 * @param {Number} data.page
 * @param {Number} data.pageSize
 * @param {Number} data.category_id
 * @param {String} data.keyword
 */
export function getProductList(data) {
	return request({
		url: '/api/product/productList',
		method: 'get',
		data
	});
}

/**
 * 获取商品详情
 * @param {Number} id
 */
export function getProductDetail(id) {
	return request({
		url: '/api/product/productDetail?id=' + id,
		method: 'get'
	});
}

/**
 * 加入购物车
 * @param {Object} data
 * @param {Number} data.cart_num
 * @param {Number} data.product_id
 */
export function addToCart(data) {
	return request({
		url: '/api/cart/add',
		method: 'post',
		data
	});
}

/**
 * 创建订单
 * @param {Object} data
 * @param {Number} data.cart_ids
 * @param {Number} data.address_id
 */
export function createOrder(data) {
	return request({
		url: '/api/shop/createOrder',
		method: 'post',
		data
	});
}